All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::usrp::subdev_spec_t Class Reference

`#include <subdev_spec.hpp>`

Inheritance diagram for uhd::usrp::subdev_spec_t:

## Public Member Functions

| subdev_spec_t (const std::string &markup="")
std::string | to_pp_string (void) const
std::string | to_string (void) const

## Additional Inherited Members

Public Attributes inherited from std::vector< T >
T | elements
| STL member. More...

## Detailed Description

A list of (daughterboard slot name, subdevice name) pairs:

A subdevice specification represents a list of subdevices on a motherboard. The subdevices specified may span across multiple daughterboards; Hence the need for a subdevice specification over a simple list of strings. Typically, the user will pass a RX or TX subdevice specification into the API, and the implementation will infer the channel configuration from the specification.

The subdevice specification can be represented as a markup-string. The markup-string is a whitespace separated list of dboard:subdev pairs. The first pair represents the subdevice for channel zero, the second pair represents the subdevice for channel one, and so on.

## Constructor & Destructor Documentation

uhd::usrp::subdev_spec_t::subdev_spec_t | ( | const std::string & | markup = `""` | ) |

Create a subdev specification from a markup string.

Parameters

  markup | the markup string

## Member Function Documentation

std::string uhd::usrp::subdev_spec_t::to_pp_string | ( | void |  | ) | const

Convert a subdev specification into a pretty print string.

Returns
  a printable string representing the subdev specification

std::string uhd::usrp::subdev_spec_t::to_string | ( | void |  | ) | const

Convert the subdevice specification into a markup string. The markup string contains the delimiter symbols.

Returns
  a string with delimiter markup

The documentation for this class was generated from the following file:

- include/uhd/usrp/subdev_spec.hpp